Skip to content

Get 'CustomErrandFieldInclusion'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/errands/customfields/customerrandfieldinclusion/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/errands/customfields/customerrandfieldinclusion/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

field_typeobject(CustomErrandFieldType)required
orderinteger, (int32), [ -2147483648 .. 2147483647 ]required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
general_errand_typeobject or null(GeneralErrandType)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: inspection_errand_checklist, rounding_check_list_row, sub_errand_type

This field, or at least one of the following fields must be set: inspection_errand_checklist, rounding_check_list_row, sub_errand_type

inspection_errand_checklistobject or null(InspectionErrandCheckList)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand_type, rounding_check_list_row, sub_errand_type

This field, or at least one of the following fields must be set: general_errand_type, rounding_check_list_row, sub_errand_type

sub_errand_typeobject or null(GeneralErrandSubType)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand_type, inspection_errand_checklist, rounding_check_list_row

This field, or at least one of the following fields must be set: general_errand_type, inspection_errand_checklist, rounding_check_list_row

rounding_check_list_rowobject or null(RoundingCheckListRow)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand_type, inspection_errand_checklist, sub_errand_type

This field, or at least one of the following fields must be set: general_errand_type, inspection_errand_checklist, sub_errand_type

Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "field_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "order": -2147483648, "general_errand_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "inspection_errand_checklist": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "sub_errand_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "rounding_check_list_row": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }